/* jshint node: true */
const Funnel = require('broccoli-funnel');
const MergeTrees = require('broccoli-merge-trees');

module.exports = {
  name: 'ember-cli-pdfjs-simple',

  included: function(app) {
    this._super.included(app);

    app.import(app.bowerDirectory + '/pdfjs-dist/build/pdf.min.js');
    app.import(app.bowerDirectory + '/pdfjs-dist/web/compatibility.js');
    app.import(app.bowerDirectory + '/pdfjs-dist/web/pdf_viewer.js');
    app.import(app.bowerDirectory + '/pdfjs-dist/web/pdf_viewer.css');
  },

  postprocessTree: function(type, tree) {
    if (type !== 'all') {
      return tree;
    }

    const pdfjsWorker = new Funnel('bower_components/pdfjs-dist/build', {
      srcDir: '/',
      include: ['pdf.worker.min.js'],
      destDir: '/assets/javascript'
    });

    return new MergeTrees([tree, pdfjsWorker]);
  }
};
